package com.gary.msr.dialog;

//import java.util.List;

import android.view.View;

import com.gary.msr.MainActivity;
//import com.gary.msr.R;
import com.andorid.MFR0311HID.R;

public class DialogUtil {
	public static void showCodeDialog(MainActivity activity,
			 View fromView) {
		CodeDialog dialog = new CodeDialog(activity, R.style.codeDialogStyle);
		dialog.setCustomerInfo(fromView, 
				activity.codeDialogListener);
		dialog.show();
	}

	public static void showAsciiDialog(MainActivity activity,
			 View fromView) {
		AsciiDialog dialog = new AsciiDialog(activity);
		dialog.setCustomerInfo(fromView,
				activity.asciiDialogListener);
		dialog.show();
	}

	public static void showStoreFileDialog(MainActivity activity) {
		StoreFileDialog dialog = new StoreFileDialog(activity);
		dialog.show();
	}

	public static void showLoadFileDialog(MainActivity activity) {
		LoadFileDialog dialog = new LoadFileDialog(activity);
		dialog.show();
	}

}
